// import axios from 'axios';
import {
  ICrudGetAction,
  ICrudGetAllAction,
  ICrudPutAction,
  ICrudDeleteAction,
} from "react-jhipster";

// import { cleanEntity } from "app/shared/util/entity-utils";
// import {
//   REQUEST,
//   SUCCESS,
//   FAILURE,
// } from "app/shared/reducers/action-type.util";

import { IChartView, defaultValue } from "../../model/chart-view.model";

export const ACTION_TYPES = {
  FETCH_CHARTVIEW_LIST: "chartView/FETCH_CHARTVIEW_LIST",
  FETCH_CHARTVIEW: "chartView/FETCH_CHARTVIEW",
  CREATE_CHARTVIEW: "chartView/CREATE_CHARTVIEW",
  UPDATE_CHARTVIEW: "chartView/UPDATE_CHARTVIEW",
  DELETE_CHARTVIEW: "chartView/DELETE_CHARTVIEW",
  RESET: "chartView/RESET",
};

const initialState = {
  loading: false,
  errorMessage: null,
  entities: [] as ReadonlyArray<IChartView>,
  entity: defaultValue,
  updating: false,
  totalItems: 0,
  updateSuccess: false,
};

export type ChartViewState = Readonly<typeof initialState>;

// Reducer

// export default (
//   state: ChartViewState = initialState,
//   action
// ): ChartViewState => {
//   switch (action.type) {
//     case REQUEST(ACTION_TYPES.FETCH_CHARTVIEW_LIST):
//     case REQUEST(ACTION_TYPES.FETCH_CHARTVIEW):
//       return {
//         ...state,
//         errorMessage: null,
//         updateSuccess: false,
//         loading: true,
//       };
//     case REQUEST(ACTION_TYPES.CREATE_CHARTVIEW):
//     case REQUEST(ACTION_TYPES.UPDATE_CHARTVIEW):
//     case REQUEST(ACTION_TYPES.DELETE_CHARTVIEW):
//       return {
//         ...state,
//         errorMessage: null,
//         updateSuccess: false,
//         updating: true,
//       };
//     case FAILURE(ACTION_TYPES.FETCH_CHARTVIEW_LIST):
//     case FAILURE(ACTION_TYPES.FETCH_CHARTVIEW):
//     case FAILURE(ACTION_TYPES.CREATE_CHARTVIEW):
//     case FAILURE(ACTION_TYPES.UPDATE_CHARTVIEW):
//     case FAILURE(ACTION_TYPES.DELETE_CHARTVIEW):
//       return {
//         ...state,
//         loading: false,
//         updating: false,
//         updateSuccess: false,
//         errorMessage: action.payload,
//       };
//     case SUCCESS(ACTION_TYPES.FETCH_CHARTVIEW_LIST):
//       return {
//         ...state,
//         loading: false,
//         entities: action.payload.data,
//         totalItems: parseInt(action.payload.headers["x-total-count"], 10),
//       };
//     case SUCCESS(ACTION_TYPES.FETCH_CHARTVIEW):
//       return {
//         ...state,
//         loading: false,
//         entity: action.payload.data,
//       };
//     case SUCCESS(ACTION_TYPES.CREATE_CHARTVIEW):
//     case SUCCESS(ACTION_TYPES.UPDATE_CHARTVIEW):
//       return {
//         ...state,
//         updating: false,
//         updateSuccess: true,
//         entity: action.payload.data,
//       };
//     case SUCCESS(ACTION_TYPES.DELETE_CHARTVIEW):
//       return {
//         ...state,
//         updating: false,
//         updateSuccess: true,
//         entity: {},
//       };
//     case ACTION_TYPES.RESET:
//       return {
//         ...initialState,
//       };
//     default:
//       return state;
//   }
// };

// Actions
// TODO - METTERE LE QUERY CON JS

// export const getEntities: ICrudGetAllAction<IChartView> = (page, size, sort) => {
//   const requestUrl = `${apiUrl}${sort ? `?page=${page}&size=${size}&sort=${sort}` : ''}`;
//   return {
//     type: ACTION_TYPES.FETCH_CHARTVIEW_LIST,
//     payload: axios.get<IChartView>(`${requestUrl}${sort ? '&' : '?'}cacheBuster=${new Date().getTime()}`)
//   };
// };

// export const getEntity: ICrudGetAction<IChartView> = id => {
//   const requestUrl = `${apiUrl}/${id}`;
//   return {
//     type: ACTION_TYPES.FETCH_CHARTVIEW,
//     payload: axios.get<IChartView>(requestUrl)
//   };
// };

// export const createEntity: ICrudPutAction<IChartView> = entity => async dispatch => {
//   const result = await dispatch({
//     type: ACTION_TYPES.CREATE_CHARTVIEW,
//     payload: axios.post(apiUrl, cleanEntity(entity))
//   });
//   dispatch(getEntities());
//   return result;
// };

// export const updateEntity: ICrudPutAction<IChartView> = entity => async dispatch => {
//   const result = await dispatch({
//     type: ACTION_TYPES.UPDATE_CHARTVIEW,
//     payload: axios.put(apiUrl, cleanEntity(entity))
//   });
//   return result;
// };

// export const deleteEntity: ICrudDeleteAction<IChartView> = id => async dispatch => {
//   const requestUrl = `${apiUrl}/${id}`;
//   const result = await dispatch({
//     type: ACTION_TYPES.DELETE_CHARTVIEW,
//     payload: axios.delete(requestUrl)
//   });
//   return result;
// };

// export const reset = () => ({
//   type: ACTION_TYPES.RESET
// });
