import React from 'react';
import { Switch } from 'react-router-dom';

import ErrorBoundaryRoute from 'app/shared/error/error-boundary-route';

import Chart from './chart';
import ChartUpdate from './chart-update';
import ChartVisualization from './chart-visualization';

const Routes = ({ match }) => (
  <>
    <Switch>
      <ErrorBoundaryRoute exact path={`${match.url}/new`} component={ChartUpdate} />
      <ErrorBoundaryRoute exact path={`${match.url}/:id/edit`} component={ChartUpdate} />
      <ErrorBoundaryRoute exact path={`${match.url}/:id/visualize`} component={ChartVisualization} />
      <ErrorBoundaryRoute path={match.url} component={Chart} />
    </Switch>
  </>
);

export default Routes;
