import { makeStyles } from "@material-ui/core/styles";

export default makeStyles((theme) => ({
  tooltip: {
    position: "absolute",
    zIndex: 1000,
    pointerEvents: "none",
    background: theme.palette.primary.main,
    borderRadius: "5px",
    borderWidth: 1,
    borderStyle: "solid",
    fontWeight: 700,
    color: theme.palette.primary.contrastText,
    border: "1px solid " + theme.palette.secondary.dark,
    paddingLeft: theme.spacing(1),
    paddingRight: theme.spacing(1),
    lineHeight: "32px",
    minWidth: 40,
    textAlign: "left",
  },
  onSort: {
    "&>*": {
      boxShadow: "2px 2px 2px #666",
    },
  },
  divChart: {
    "& .hint": {
      background: "#333",
      padding: "10px",
      borderRadius: "5px",
      position: "fixed",
    },
    '& path[class*="rv-radial-chart"]:hover': {
      fill: "#666!important",
      opacity: "0.5!important",
    },
    height: "100%",
    "& .innerChart svg": {
      overflow: "visible",
    },
  },
  divResizable: {
    margin: theme.spacing(1),
    border: "1px solid #ccc",
    borderRadius: "4px",
  },
  dragIcon: {
    "&:hover": {
      cursor: "move",
    },
  },
}));
