import { Box } from '@material-ui/core';
import React from 'react';
import { makeWidthFlexible } from 'react-vis';
import { omit } from 'lodash';

export const BoxWithEvent = ({ children, eventEnter, eventLeave }) => (
  <Box onMouseEnter={eventEnter} onMouseLeave={eventLeave} justifyContent="center" alignItems="center" display="flex">
    {children}
  </Box>
);

export const VisWithPlotAndEvent = ({ fieldComponents: Component, dataFieldComponent: DataField, eventOver, eventOut, ...props }) => {
  const ComponentType = Component.type;
  return (
    <ComponentType onMouseLeave={eventOut} {...props}>
      {...Component.props.children}
      <DataField.type {...DataField.props} onValueMouseOver={eventOver} onNearestX={eventOver} onValueMouseOut={eventOut} />
    </ComponentType>
  );
};

export const VisWithEvent = ({ component: Component, eventOver, eventOut, ...props }) => {
  const ComponentType = makeWidthFlexible(Component.type) || Component.type;
  const ComponentProps = makeWidthFlexible(Component.type) ? omit(Component.props, 'width') : Component.props;
  return (
    <ComponentType
      onValueMouseOver={eventOver}
      onValueMouseOut={eventOut}
      onSeriesMouseOut={eventOut}
      onMouseLeave={eventOut}
      {...ComponentProps}
      {...props}
    />
  );
};
